## org.eclipse.jst.jsf.metadataprocessors
Class TaglibMetadataContext

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.MetaDataContext
          org.eclipse.jst.jsf.metadataprocessors.TaglibMetadataContext

Deprecated. - should not have been public, and no reason anyone should be using this class

    public class TaglibMetadataContext

extends MetaDataContext

Binds tag library context to the metadata context

Provisional API - subject to change

Constructor Summary
`TaglibMetadataContext(java.lang.String uri, java.lang.String tagName, java.lang.String attributeName, Entity entity, Trait trait)` Deprecated. Constructor

Method Summary
`java.lang.String` `getAttributeName()` Deprecated.
`java.lang.String` `getTagName()` Deprecated.
`java.lang.String` `getUri()` Deprecated.

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.MetaDataContext
`getEntity, getTrait`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaglibMetadataContext

    public TaglibMetadataContext(java.lang.String uri,
                                 java.lang.String tagName,
                                 java.lang.String attributeName,
                                 Entity entity,
                                 Trait trait)

  Deprecated.
  Constructor

  Parameters:
    `uri` - - must not be null
    `tagName` - - must not be null
    `attributeName` - - may be null
    `entity` - - the metadata entity represented by the tag or attribute
    `trait` - - the metadata trait of interest

Method Detail

### getUri

    public java.lang.String getUri()

  Deprecated.
  Returns:
    URI

### getTagName

    public java.lang.String getTagName()

  Deprecated.
  Returns:
    Tag name - should not be null

### getAttributeName

    public java.lang.String getAttributeName()

  Deprecated.
  Returns:
    Attribute name - may be null